Arch Tafel Platte

From FreeCAD Documentation
Revision as of 13:02, 1 December 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Arch Tafel Blech

Menüeintrag
Arch → Tafelwerkzeuge → Tafel Blech
Arbeitsbereich
Arch
Standardtastenkürzel
P S
Eingeführt in Version
-
Siehe auch
Arch Tafel, Arch Tafelschnitt, Arch Verschachteln

Beschreibung

Dieses Werkzeug ermöglicht eine 2D Zeichnung zu erstellen, einschließlich einer beliebigen Anzahl von Arch Tafelschnitt Objekten, oder jedes andere 2D Objekt, wie z.B. diejenigen, die mit Entwurf Arbeitsbereich und Skizzierer Arbeitsbereich erstellt wurden. Das Tafelblech wird in der Regel für Layout Schnitte erstellt, die von einer CNC Maschine ausgeführt werden sollen. Diese Blätter können dann in eine DXF Datei exportiert werden.

Das obige Bild zeigt, wie Tafelplatten beim Export nach DXF erscheinen.

Anwendung

  1. Optionally, select one or more Arch Panel Cut objects or any other 2D object that lies on the XY plane.
  2. Press the Arch Panel Sheet button, or press P then S keys.
  3. Adjust the desired properties.

Optionen

  • After the panel sheet is created, with or without child objects, Any other child object can be added/removed to/from the panel sheet by double-clicking it in the tree view and adding or removing objects from its Group folder
  • Double-clicking on the panel in the tree view also allows you to move the objects contained in this sheet, or move its tag
  • It is possible to automatically make panels composed of more than one sheet of a material, by raising its Sheets property
  • Panel Sheets can display a margin, that is useful to make sure a certain space is always present between inner objects and the border of the sheet
  • When Panel sheets are exported to DXF, the outlines, inner holes, tags of their inner children are placed on different layers, as shown on the above image

Eigenschaften

Data

  • DatenHeight: The height of the sheet
  • DatenWidth: The width of the sheet
  • DatenFill Ratio: The percentage of the sheet area that is filled by cuts (automatic)
  • DatenTag Text: The text to display
  • DatenTag Size: The size of the tag text
  • DatenTag Position: The position of the tag text. Keep (0,0,0) for automatic center position
  • DatenTag Rotation: The rotation of the tag text
  • DatenFont File: The font of the tag text
  • DatenMake Face: If True, the panel is a Part Face, otherwise a Part Wire
  • DatenGrain Direction: This allows you to inform the main direction of the panel fiber (clockwise direction, 0° means up)

View

  • AnsichtMargin: A margin that can be displayed inside the panel border
  • AnsichtShow Margin: Turns the display of the margin on/off
  • AnsichtShow Grain: Shows a fiber texture (Make Face must be set to True)

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Panel sheet tool can be used in macros and from the Python console by using the following function:

Sheet = makePanelSheet(panels=[], name="PanelSheet")
  • Creates a Sheet object from panels, which is a list of Arch Panel objects.

Beispiel:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(500, 200)
Polygon = Draft.makePolygon(5, 750)

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2000, 400, 0)
p3 = FreeCAD.Vector(1250, 800, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)

Panel1 = Arch.makePanel(Rect, thickness=36)
Panel2 = Arch.makePanel(Polygon, thickness=36)
Panel3 = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

Cut1 = Arch.makePanelCut(Panel1)
Cut2 = Arch.makePanelCut(Panel2)
Cut3 = Arch.makePanelCut(Panel3)
Cut1.ViewObject.LineWidth = 3
Cut2.ViewObject.LineWidth = 3
Cut3.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Sheet = Arch.makePanelSheet([Cut1, Cut2, Cut3])

Tutorien